Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Interface UserEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, NameListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface, UserPasswordEditorMBean, UserReaderMBean, UserRemoverMBean

    public interface UserEditorMBean

extends UserReaderMBean, UserPasswordEditorMBean, UserRemoverMBean

Provides a set of methods for creating, editing, and removing users. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`void` | `createUser(String userName, String password, String description)` Creates a user and sets the user's password.
`void` | `setUserDescription(String userName, String description)` Sets the description for an existing user.

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.UserRemoverMBean
`removeUser`

Method Detail

### createUser

    void createUser(String userName,
                    String password,
                    String description)
                    throws InvalidParameterException,
                           AlreadyExistsException

  Creates a user and sets the user's password.

  Parameters:
    `userName` - - The name of the new user. The name cannot be the name of an existing user or group. The Authentication provider determines syntax requirements for the user name.
    `password` - - The password for the new user. The Authentication provider determines syntax requirements for passwords.
    `description` - - The description of the user.
  Throws:
    `InvalidParameterException`
    `AlreadyExistsException`

### setUserDescription

    void setUserDescription(String userName,
                            String description)
                            throws NotFoundException,
                                   InvalidParameterException

  Sets the description for an existing user.

  Parameters:
    `userName` - - The name of an existing user.
    `description` - - The description of the user.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD